Show / Hide Table of Contents

# Struct AtkUldComponentDataTextInput

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Component.GUI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AtkUldComponentDataTextInput

### Fields

| Improve this Doc View Source

#### CandidateColor

##### Declaration

    public ByteColor CandidateColor

##### Field Value

Type | Description
--- | ---
ByteColor |

| Improve this Doc View Source

#### CharSet

##### Declaration

    public ushort CharSet

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### CharSetExtras

##### Declaration

    public byte *CharSetExtras

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### Flags1

##### Declaration

    public byte Flags1

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Flags2

##### Declaration

    public byte Flags2

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### IMEColor

##### Declaration

    public ByteColor IMEColor

##### Field Value

Type | Description
--- | ---
ByteColor |

| Improve this Doc View Source

#### InputBase

##### Declaration

    public AtkUldComponentDataInputBase InputBase

##### Field Value

Type | Description
--- | ---
AtkUldComponentDataInputBase |

| Improve this Doc View Source

#### MaxByte

##### Declaration

    public uint MaxByte

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### MaxChar

##### Declaration

    public uint MaxChar

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### MaxLine

##### Declaration

    public uint MaxLine

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### MaxWidth

##### Declaration

    public uint MaxWidth

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Nodes

##### Declaration

    public uint *Nodes

##### Field Value

Type | Description
--- | ---
System.UInt32* |